<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Class org.apache.commons.dbcp2.DelegatingConnection (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.commons.dbcp2.DelegatingConnection (Apache Commons DBCP 2.8.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/dbcp2/class-use/DelegatingConnection.html" target="_top">Frames</a></li>
<li><a href="DelegatingConnection.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.commons.dbcp2.DelegatingConnection" class="title">Uses of Class<br>org.apache.commons.dbcp2.DelegatingConnection</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2">DelegatingConnection</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.dbcp2">org.apache.commons.dbcp2</a></td>
<td class="colLast">
<div class="block">
 Database Connection Pool API.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.dbcp2.managed">org.apache.commons.dbcp2.managed</a></td>
<td class="colLast">
<div class="block">
 This package provides support for pooling of ManagedConnections.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.dbcp2">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2">DelegatingConnection</a> in <a href="../../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2">DelegatingConnection</a> in <a href="../../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a></span></code>
<div class="block">A delegating connection that, rather than closing the underlying connection, returns itself to an <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/ObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2"><code>ObjectPool</code></a>
 when closed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.html" title="class in org.apache.commons.dbcp2">PoolingConnection</a></span></code>
<div class="block">A <a href="../../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2"><code>DelegatingConnection</code></a> that pools <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a> that return <a href="../../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2">DelegatingConnection</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2">DelegatingConnection</a>&lt;?&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">DelegatingStatement.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/DelegatingStatement.html#getConnectionInternal--">getConnectionInternal</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a> with parameters of type <a href="../../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2">DelegatingConnection</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/DelegatingCallableStatement.html#DelegatingCallableStatement-org.apache.commons.dbcp2.DelegatingConnection-java.sql.CallableStatement-">DelegatingCallableStatement</a></span>(<a href="../../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2">DelegatingConnection</a>&lt;?&gt;&nbsp;connection,
                           <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true" title="class or interface in java.sql">CallableStatement</a>&nbsp;statement)</code>
<div class="block">Creates a wrapper for the Statement which traces this Statement to the Connection which created it and the code
 which created it.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/DelegatingDatabaseMetaData.html#DelegatingDatabaseMetaData-org.apache.commons.dbcp2.DelegatingConnection-java.sql.DatabaseMetaData-">DelegatingDatabaseMetaData</a></span>(<a href="../../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2">DelegatingConnection</a>&lt;?&gt;&nbsp;connection,
                          <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true" title="class or interface in java.sql">DatabaseMetaData</a>&nbsp;databaseMetaData)</code>
<div class="block">Constructs a new instance for the given delegating connection and database meta data.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#DelegatingPreparedStatement-org.apache.commons.dbcp2.DelegatingConnection-java.sql.PreparedStatement-">DelegatingPreparedStatement</a></span>(<a href="../../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2">DelegatingConnection</a>&lt;?&gt;&nbsp;connection,
                           <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a>&nbsp;statement)</code>
<div class="block">Create a wrapper for the Statement which traces this Statement to the Connection which created it and the code
 which created it.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/DelegatingStatement.html#DelegatingStatement-org.apache.commons.dbcp2.DelegatingConnection-java.sql.Statement-">DelegatingStatement</a></span>(<a href="../../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2">DelegatingConnection</a>&lt;?&gt;&nbsp;connection,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a>&nbsp;statement)</code>
<div class="block">Create a wrapper for the Statement which traces this Statement to the Connection which created it and the code
 which created it.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PoolableCallableStatement.html#PoolableCallableStatement-java.sql.CallableStatement-org.apache.commons.dbcp2.PStmtKey-org.apache.commons.pool2.KeyedObjectPool-org.apache.commons.dbcp2.DelegatingConnection-">PoolableCallableStatement</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true" title="class or interface in java.sql">CallableStatement</a>&nbsp;callableStatement,
                         <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html" title="class in org.apache.commons.dbcp2">PStmtKey</a>&nbsp;key,
                         <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/KeyedObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2">KeyedObjectPool</a>&lt;<a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html" title="class in org.apache.commons.dbcp2">PStmtKey</a>,<a href="../../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2">DelegatingPreparedStatement</a>&gt;&nbsp;pool,
                         <a href="../../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2">DelegatingConnection</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&gt;&nbsp;connection)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html#PoolablePreparedStatement-java.sql.PreparedStatement-K-org.apache.commons.pool2.KeyedObjectPool-org.apache.commons.dbcp2.DelegatingConnection-">PoolablePreparedStatement</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a>&nbsp;stmt,
                         <a href="../../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html" title="type parameter in PoolablePreparedStatement">K</a>&nbsp;key,
                         <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/KeyedObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2">KeyedObjectPool</a>&lt;<a href="../../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html" title="type parameter in PoolablePreparedStatement">K</a>,<a href="../../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html" title="class in org.apache.commons.dbcp2">PoolablePreparedStatement</a>&lt;<a href="../../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html" title="type parameter in PoolablePreparedStatement">K</a>&gt;&gt;&nbsp;pool,
                         <a href="../../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2">DelegatingConnection</a>&lt;?&gt;&nbsp;conn)</code>
<div class="block">Constructor.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.dbcp2.managed">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2">DelegatingConnection</a> in <a href="../../../../../org/apache/commons/dbcp2/managed/package-summary.html">org.apache.commons.dbcp2.managed</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2">DelegatingConnection</a> in <a href="../../../../../org/apache/commons/dbcp2/managed/package-summary.html">org.apache.commons.dbcp2.managed</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/ManagedConnection.html" title="class in org.apache.commons.dbcp2.managed">ManagedConnection</a>&lt;C extends <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&gt;</span></code>
<div class="block">ManagedConnection is responsible for managing a database connection in a transactional environment (typically called
 "Container Managed").</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/PoolableManagedConnection.html" title="class in org.apache.commons.dbcp2.managed">PoolableManagedConnection</a></span></code>
<div class="block">PoolableConnection that unregisters from TransactionRegistry on Connection real destroy.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/dbcp2/class-use/DelegatingConnection.html" target="_top">Frames</a></li>
<li><a href="DelegatingConnection.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2020 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
